/*
 * Copyright (C) 2016 "IoT.bzh"
 * Author Fulup Ar Foll <fulup@iot.bzh>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
#define _GNU_SOURCE  // needed for vasprintf
#include "hal-statics.h"
#include <stdio.h>

PUBLIC const char *halCtlsLabels[] = {

    [Master_Playback_Volume] = "Master_Playback_Volume",
    [Master_OnOff_Switch] = "Master_OnOff_Switch",
    [Master_Playback_Ramp]= "Master_Playback_Ramp",
    [PCM_Playback_Volume] = "PCM_Playback_Volume",
    [PCM_Playback_Switch] = "PCM_Playback_Switch",
    [Capture_Volume]      = "Capture_Volume",

    [Vol_Ramp_Set_Mode]  = "Volume_Ramp_Mode",
    [Vol_Ramp_Set_Delay] = "Volume_Ramp_Delay",
    [Vol_Ramp_Set_Down]  = "Volume_Ramp_Down",
    [Vol_Ramp_Set_Up]    = "Volume_Ramp_Up",
    [Vol_Ramp_Set_Slave] = "Volume_Ramp_Slave",

    // Application Virtual Channels
    [Emergency_Playback_Volume] = "Emergency_Volume",
    [Emergency_Playback_Ramp] = "Emergency_Ramp",
    [Emergency_Playback_Switch] = "Emergency_Switch",
    [Warning_Playback_Volume] = "Warning_Volume",
    [Warning_Playback_Ramp] = "Warning_Ramp",
    [Warning_Playback_Switch] = "Warning_Switch",
    [CustomHigh_Playback_Volume] = "CustomHigh_Volume",
    [CustomHigh_Playback_Ramp] = "CustomHigh_Ramp",
    [CustomHigh_Playback_Switch] = "CustomHigh_Switch",
    [Phone_Playback_Volume] = "Phone_Volume",
    [Phone_Playback_Ramp] = "Phone_Ramp",
    [Phone_Playback_Switch] = "Phone_Switch",
    [Navigation_Playback_Volume] = "Navigation_Volume",
    [Navigation_Playback_Ramp] = "Navigation_Ramp",
    [Navigation_Playback_Switch] = "Navigation_Switch",
    [CustomMedium_Playback_Volume] = "CustomMedium_Volume",
    [CustomMedium_Playback_Ramp] = "CustomMedium_Ramp",
    [CustomMedium_Playback_Switch] = "CustomMedium_Switch",
    [Video_Playback_Volume] = "Video_Volume",
    [Video_Playback_Ramp] = "Video_Ramp",
    [Video_Playback_Switch] = "Video_Switch",
    [Streaming_Playback_Volume] = "Streaming_Volume",
    [Streaming_Playback_Ramp] = "Streaming_Ramp",
    [Streaming_Playback_Switch] = "Streaming_Switch",
    [Multimedia_Playback_Volume] = "Multimedia_Volume",
    [Multimedia_Playback_Ramp] = "Multimedia_Ramp",
    [Multimedia_Playback_Switch] = "Multimedia_Switch",
    [Radio_Playback_Volume] = "Radio_Volume",
    [Radio_Playback_Ramp] = "Radio_Ramp",
    [Radio_Playback_Switch] = "Radio_Switch",
    [CustomLow_Playback_Volume] = "CustomLow_Volume",
    [CustomLow_Playback_Ramp] = "CustomLow_Ramp",
    [CustomLow_Playback_Switch] = "CustomLow_Switch",
    [Fallback_Playback_Volume] = "Fallback_Volume",
    [Fallback_Playback_Ramp] = "Fallback_Ramp",
    [Fallback_Playback_Switch] = "Fallback_Switch",

    // Do not remove EndHalCrlTag
    [EndHalCrlTag] = NULL
};

PUBLIC const char *halVolRampModes[] = {

   [RAMP_VOL_NONE]      = "None",
   [RAMP_VOL_NORMAL]    = "Normal",
   [RAMP_VOL_SMOOTH]    = "Smooth",
   [RAMP_VOL_EMERGENCY] = "Emergency",

   [EndHalVolMod] = NULL,

};
